%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  Rcurvep
%global packver   1.3.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.3.2
Release:          1%{?dist}%{?buildtag}
Summary:          Concentration-Response Data Analysis using Curvep

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5
Requires:         R-core >= 3.5
BuildArch:        noarch
BuildRequires:    R-CRAN-dplyr >= 1.0.0
BuildRequires:    R-CRAN-tibble 
BuildRequires:    R-CRAN-magrittr 
BuildRequires:    R-CRAN-tidyselect 
BuildRequires:    R-CRAN-boot 
BuildRequires:    R-CRAN-tidyr 
BuildRequires:    R-CRAN-purrr 
BuildRequires:    R-CRAN-rlang 
BuildRequires:    R-CRAN-stringr 
BuildRequires:    R-CRAN-ggplot2 
BuildRequires:    R-CRAN-Rdpack 
BuildRequires:    R-methods 
BuildRequires:    R-CRAN-rJava 
BuildRequires:    R-CRAN-furrr 
Requires:         R-CRAN-dplyr >= 1.0.0
Requires:         R-CRAN-tibble 
Requires:         R-CRAN-magrittr 
Requires:         R-CRAN-tidyselect 
Requires:         R-CRAN-boot 
Requires:         R-CRAN-tidyr 
Requires:         R-CRAN-purrr 
Requires:         R-CRAN-rlang 
Requires:         R-CRAN-stringr 
Requires:         R-CRAN-ggplot2 
Requires:         R-CRAN-Rdpack 
Requires:         R-methods 
Requires:         R-CRAN-rJava 
Requires:         R-CRAN-furrr 

%description
An R interface for processing concentration-response datasets using
Curvep, a response noise filtering algorithm. The algorithm was described
in the publications (Sedykh A et al. (2011) <doi:10.1289/ehp.1002476> and
Sedykh A (2016) <doi:10.1007/978-1-4939-6346-1_14>). Other parametric
fitting approaches (e.g., Hill equation) are also adopted for ease of
comparison. 3-parameter Hill equation from 'tcpl' package (Filer D et al.,
<doi:10.1093/bioinformatics/btw680>) and 4-parameter Hill equation from
Curve Class2 approach (Wang Y et al., <doi:10.2174/1875397301004010057>)
are available. Also, methods for calculating the confidence interval
around the activity metrics are also provided. The methods are based on
the bootstrap approach to simulate the datasets (Hsieh J-H et al.
<doi:10.1093/toxsci/kfy258>). The simulated datasets can be used to derive
the baseline noise threshold in an assay endpoint. This threshold is
critical in the toxicological studies to derive the point-of-departure
(POD).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
